Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleARLLexer

    java.lang.Object
      antlr.CharScanner
          com.ibm.able.rules.AbleARLLexer

All Implemented Interfaces:
  AbleARLParserTokenTypes, antlr.TokenStream

public class AbleARLLexer
extends antlr.CharScanner
implements AbleARLParserTokenTypes, antlr.TokenStream

This class is a scanner that will scan ABLE Rule Language input.

Field Summary
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`
`static antlr.collections.impl.BitSet` | `_tokenSet_3`
`static antlr.collections.impl.BitSet` | `_tokenSet_4`
`static antlr.collections.impl.BitSet` | `_tokenSet_5`
`static antlr.collections.impl.BitSet` | `_tokenSet_6`
`static antlr.collections.impl.BitSet` | `_tokenSet_7`
`static antlr.collections.impl.BitSet` | `_tokenSet_8`

Fields inherited from class antlr.CharScanner
`_returnToken, caseSensitive, caseSensitiveLiterals, commitToPath, EOF_CHAR, hashString, inputState, literals, saveConsumedInput, text, tokenObjectClass, traceDepth`

Fields inherited from interface com.ibm.able.rules.AbleARLParserTokenTypes
`DIV, EOF, ESC, EXPONENT, FLOAT_SUFFIX, HEX_DIGIT, JAVADOC_COMMENT, LITERAL_about, LITERAL_above, LITERAL_actions, LITERAL_and, LITERAL_below, LITERAL_break, LITERAL_case, LITERAL_class, LITERAL_cloneable, LITERAL_closeto, LITERAL_condition, LITERAL_decisions, LITERAL_default, LITERAL_defevent, LITERAL_do, LITERAL_effect, LITERAL_else, LITERAL_expansion, LITERAL_extends, LITERAL_extremely, LITERAL_false, LITERAL_final, LITERAL_for, LITERAL_functions, LITERAL_fuzzy, LITERAL_generally, LITERAL_if, LITERAL_import, LITERAL_include, LITERAL_inputs, LITERAL_invicinityof, LITERAL_is, LITERAL_library, LITERAL_new, LITERAL_not, LITERAL_or, LITERAL_outputs, LITERAL_parameters, LITERAL_positively, LITERAL_precondition, LITERAL_preconditions, LITERAL_predicates, LITERAL_return, LITERAL_ruleset, LITERAL_slightly, LITERAL_somewhat, LITERAL_static, LITERAL_switch, LITERAL_template, LITERAL_then, LITERAL_true, LITERAL_until, LITERAL_using, LITERAL_variables, LITERAL_very, LITERAL_when, LITERAL_while, LITERAL_xor, MINUS, ML_COMMENT, MOD, NULL_TREE_LOOKAHEAD, PLUS, SL_COMMENT, STAR, Tok, TokAmp, TokAND, TokArrow1, TokArrow2, TokBar, TokBitBSR, TokBitSL, TokBitSR, TokBitXOR, TokBraceL, TokBraceR, TokBrackL, TokBrackR, TokChar, TokColon, TokComma, TokDC, TokDot, TokDouble, TokEq, TokEq2, TokGt, TokGtEq, TokId, TokInt, TokLt, TokLtEq, TokNeq, TokNotBang, TokNotTilde, TokOR, TokParenL, TokParenR, TokSemicolon, TokStr, UNARY_MINUS, UNARY_PLUS, WS`

Constructor Summary
`AbleARLLexer(antlr.InputBuffer ib)`
`AbleARLLexer(java.io.InputStream in)`
`AbleARLLexer(antlr.LexerSharedInputState state)`
`AbleARLLexer(java.io.Reader in)`

Method Summary
`void` | `mDIV(boolean _createToken)`
`protected void` | `mESC(boolean _createToken)`
`protected void` | `mEXPONENT(boolean _createToken)`
`protected void` | `mFLOAT_SUFFIX(boolean _createToken)`
`protected void` | `mHEX_DIGIT(boolean _createToken)`
`void` | `mMINUS(boolean _createToken)`
`void` | `mML_COMMENT(boolean _createToken)`
`void` | `mMOD(boolean _createToken)`
`void` | `mPLUS(boolean _createToken)`
`void` | `mSL_COMMENT(boolean _createToken)`
`void` | `mSTAR(boolean _createToken)`
`void` | `mTokAmp(boolean _createToken)`
`void` | `mTokAND(boolean _createToken)`
`void` | `mTokArrow1(boolean _createToken)`
`void` | `mTokArrow2(boolean _createToken)`
`void` | `mTokBar(boolean _createToken)`
`void` | `mTokBitBSR(boolean _createToken)`
`void` | `mTokBitSL(boolean _createToken)`
`void` | `mTokBitSR(boolean _createToken)`
`void` | `mTokBitXOR(boolean _createToken)`
`void` | `mTokBraceL(boolean _createToken)`
`void` | `mTokBraceR(boolean _createToken)`
`void` | `mTokBrackL(boolean _createToken)`
`void` | `mTokBrackR(boolean _createToken)`
`void` | `mTokChar(boolean _createToken)`
`void` | `mTokColon(boolean _createToken)`
`void` | `mTokComma(boolean _createToken)`
`void` | `mTokDC(boolean _createToken)`
`void` | `mTokDot(boolean _createToken)`
`void` | `mTokEq(boolean _createToken)`
`void` | `mTokEq2(boolean _createToken)`
`void` | `mTokGt(boolean _createToken)`
`void` | `mTokGtEq(boolean _createToken)`
`void` | `mTokId(boolean _createToken)`
`void` | `mTokInt(boolean _createToken)`
`void` | `mTokLt(boolean _createToken)`
`void` | `mTokLtEq(boolean _createToken)`
`void` | `mTokNeq(boolean _createToken)`
`void` | `mTokNotBang(boolean _createToken)`
`void` | `mTokNotTilde(boolean _createToken)`
`void` | `mTokOR(boolean _createToken)`
`void` | `mTokParenL(boolean _createToken)`
`void` | `mTokParenR(boolean _createToken)`
`void` | `mTokSemicolon(boolean _createToken)`
`void` | `mTokStr(boolean _createToken)`
`void` | `mWS(boolean _createToken)`
`antlr.Token` | `nextToken()`

Methods inherited from class antlr.CharScanner
`append, append, commit, consume, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, getColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, getLine, getText, getTokenObject, LA, makeToken, mark, match, match, match, matchNot, matchRange, newline, panic, panic, reportError, reportError, reportWarning, resetText, rewind, setCaseSensitive, setColumn, setCommitToPath, setFilename, setInputState, setLine, setText, setTokenObjectClass, tab, testLiteralsTable, testLiteralsTable, toLower, traceIn, traceIndent, traceOut, uponEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

### _tokenSet_7

    public static final antlr.collections.impl.BitSet _tokenSet_7

### _tokenSet_8

    public static final antlr.collections.impl.BitSet _tokenSet_8

Constructor Detail

### AbleARLLexer

    public AbleARLLexer(java.io.InputStream in)

### AbleARLLexer

    public AbleARLLexer(java.io.Reader in)

### AbleARLLexer

    public AbleARLLexer(antlr.InputBuffer ib)

### AbleARLLexer

    public AbleARLLexer(antlr.LexerSharedInputState state)

Method Detail

### nextToken

    public antlr.Token nextToken()
                          throws antlr.TokenStreamException

  Specified by:
    `nextToken` in interface `antlr.TokenStream`
  Throws:
    `antlr.TokenStreamException`

### mWS

    public final void mWS(boolean _createToken)
                   throws antlr.RecognitionException,
                          antlr.CharStreamException,
                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSL_COMMENT

    public final void mSL_COMMENT(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mML_COMMENT

    public final void mML_COMMENT(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBar

    public final void mTokBar(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBraceL

    public final void mTokBraceL(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBraceR

    public final void mTokBraceR(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBrackL

    public final void mTokBrackL(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBrackR

    public final void mTokBrackR(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokParenL

    public final void mTokParenL(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokParenR

    public final void mTokParenR(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokComma

    public final void mTokComma(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokSemicolon

    public final void mTokSemicolon(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokColon

    public final void mTokColon(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokDot

    public final void mTokDot(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokEq

    public final void mTokEq(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokEq2

    public final void mTokEq2(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokNeq

    public final void mTokNeq(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokGt

    public final void mTokGt(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokGtEq

    public final void mTokGtEq(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokLt

    public final void mTokLt(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokLtEq

    public final void mTokLtEq(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokNotBang

    public final void mTokNotBang(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokNotTilde

    public final void mTokNotTilde(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokAmp

    public final void mTokAmp(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokArrow1

    public final void mTokArrow1(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokArrow2

    public final void mTokArrow2(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokDC

    public final void mTokDC(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDIV

    public final void mDIV(boolean _createToken)
                    throws antlr.RecognitionException,
                           antlr.CharStreamException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mPLUS

    public final void mPLUS(boolean _createToken)
                     throws antlr.RecognitionException,
                            antlr.CharStreamException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mMINUS

    public final void mMINUS(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSTAR

    public final void mSTAR(boolean _createToken)
                     throws antlr.RecognitionException,
                            antlr.CharStreamException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mMOD

    public final void mMOD(boolean _createToken)
                    throws antlr.RecognitionException,
                           antlr.CharStreamException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBitSR

    public final void mTokBitSR(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBitBSR

    public final void mTokBitBSR(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBitSL

    public final void mTokBitSL(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokBitXOR

    public final void mTokBitXOR(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokOR

    public final void mTokOR(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokAND

    public final void mTokAND(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokId

    public final void mTokId(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokChar

    public final void mTokChar(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mESC

    protected final void mESC(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokStr

    public final void mTokStr(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mHEX_DIGIT

    protected final void mHEX_DIGIT(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTokInt

    public final void mTokInt(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mEXPONENT

    protected final void mEXPONENT(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mFLOAT_SUFFIX

    protected final void mFLOAT_SUFFIX(boolean _createToken)
                                throws antlr.RecognitionException,
                                       antlr.CharStreamException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005